ssh-openpgp-auth-authenticate(1)

NAME
ssh-openpgp-auth-authenticate - Fetches OpenPGP host certificates, verifies it and prints host keys in SSH format on successful verification

SYNOPSIS
ssh-openpgp-auth authenticate [-t|--time] [-c|--cert-store] [--nameserver] [--verify-dns-proof] [--verify-wot] [--verbose] [--store-verifications] [-h|--help] <HOST>

DESCRIPTION
Fetches OpenPGP host certificates, verifies it and prints host keys in SSH format on successful verification

OPTIONS

-t, --time=TIME
    Certificate time. By default now. Example: 2021-11-21T11:11:11Z

-c, --cert-store=CERT_STORE
    Certificate store. By default uses user's shared PGP certificate directory
    May also be specified with the PGP_CERT_D environment variable.

--nameserver=NAMESERVER [default: 8.8.8.8:53]
    Nameserver to use for DNS lookups (if enabled)

--verify-dns-proof
    Verify Keyoxide DNS proofs of certificates

--verify-wot
    Verify the certificates using local Web of Trust network

--verbose
    Print details of the verification process. Useful for debugging

--store-verifications
    Store verification results in the OpenPGP certificate

-h, --help
    Print help

<HOST>
    Target host to authenticate. This should be a DNS name